# ===============================
# = DATA SOURCE  
# ===============================
spring.datasource.url=jdbc:mysql://localhost/shopdb
spring.datasource.username=root
spring.datasource.password=
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.tomcat.connection-properties=useUnicode=true;characterEncoding=utf-8;

# ===============================
# = JPA / HIBERNATE
# ===============================
# spring.jpa.show-sql = true
spring.jpa.hibernate.ddl-auto = update
spring.jpa.hibernate.naming-strategy = org.hibernate.cfg.ImprovedNamingStrategy
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5Dialect
spring.jpa.properties.hibernate.enable_lazy_load_no_trans=true
# ===============================
# = NEKO FIX
# ===============================
spring.thymeleaf.mode=LEGACYHTML5
spring.thymeleaf.cache=false

spring.http.multipart.maxFileSize=10MB
spring.http.multipart.maxRequestSize=10MB